.teaser-with-card {
    position: relative;
}

.teaser-with-card .teaser-media {
    overflow: hidden;
    height: 400px;
    position: relative;
}

.teaser-with-card .teaser-media img {
    object-fit: cover;
    min-height: 300px;
    height: 100%;
    width: 100%;
    opacity: 0.5;
    transition: all 0.5s ease-in-out;
}

@media (max-width: 767px) {
    .teaser-with-card .teaser-media img {
        object-position: top;
    }
}

.teaser-with-card.in-view .teaser-media img {
    opacity: 1;
}

.teaser-with-card .teaser-text-inner-container {
    position: relative;
    height: 100%;
}

.teaser-with-card .teaser-text-inner-container .row {
    height: 100%;
}

.teaser-with-card .teaser-text {
    height: 100%;
    padding: 2rem;
    border-radius: 10px;
    background-color: rgba(255, 255, 255, 0.8);
}

/* TEXT-ALIGNMENT - RIGHT */
.teaser-with-card.teaser-text-right .teaser-media {
    text-align: left;
}

.teaser-with-card.teaser-text-right .teaser-text-inner-container .row {
    flex-direction: row-reverse;
}

@media (min-width: 1024px) {
    .teaser-with-card .teaser-media {
        height: 540px;
    }

    .teaser-text-container {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    .teaser-with-card.teaser-text-right .teaser-text-inner-container .teaser-text {
        padding-left: 3rem;
    }

    .teaser-with-card .teaser-text {
        height: auto;
    }
}
